package main

import (
	"github.com/gshopify/service-wrapper/config"
	"github.com/spf13/pflag"
	"os"
	"time"
)

var (
	fPort    = pflag.IntP("port", "p", 80, "exposing port")
	fTimeout = pflag.DurationP("timeout", "t", 15*time.Second, "timeout duration")
)

func init() {
	pflag.Parse()

	config.Instance()
	config.PrintBanner()
}

func main() {
	if err := serve(); err != nil {
		panic(err)
	}

	os.Exit(0)
}
